## org.apache.batik.dom.events
Interface DocumentEventSupport.EventFactory

All Known Implementing Classes:
  DocumentEventSupport.CustomEventFactory, DocumentEventSupport.KeyboardEventFactory, DocumentEventSupport.KeyEventFactory, DocumentEventSupport.MouseEventFactory, DocumentEventSupport.MutationEventFactory, DocumentEventSupport.MutationNameEventFactory, DocumentEventSupport.SimpleEventFactory, DocumentEventSupport.TextEventFactory, DocumentEventSupport.UIEventFactory

Enclosing class:
  DocumentEventSupport

    public static interface DocumentEventSupport.EventFactory

This interface represents an event factory.

Method Summary
`Event` `createEvent()` Creates a new Event object.

Method Detail

### createEvent

    Event createEvent()

  Creates a new Event object.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.